API referenceAssets
POST /api/Assets/GetRelationshipTypes
An array of ids should be passed in the request body, and the API returns a list of Relationship Types that match the ids. In order to get all Relationship Types, pass an empty array.
POST
/api/Assets/GetRelationshipTypescurl -X POST "/api/Assets/GetRelationshipTypes" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY"Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataBackOffice.AssetManagement.Interface.Models.AssetRelationshipTypeDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"isSystemic": true
}
]
}